Name:           python-fiduswriter
Version:        4.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A semantic wordprocessor for academic purposes

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        AGPL-3.0-or-later
URL:            https://www.fiduswriter.org
Source:         %{pypi_source fiduswriter}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fiduswriter' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fiduswriter
Summary:        %{summary}

%description -n python3-fiduswriter %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-fiduswriter books,citation-api-import,gitrepo-export,languagetool,mysql,ojs,pandoc,payment-paddle,phplist,postgresql,website


%prep
%autosetup -p1 -n fiduswriter-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x books,citation-api-import,gitrepo-export,languagetool,mysql,ojs,pandoc,payment-paddle,phplist,postgresql,website


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fiduswriter -f %{pyproject_files}


%changelog
%autochangelog